#cse {
    margin-top: 1rem;
    width: 50%;
}

@media screen and (max-width: 900px) {
    #cse {
        width: 100%;
    }
}

#maincontent #cse table,
#maincontent #cse tbody,
#maincontent #cse th,
#maincontent #cse td,
#maincontent #cse tr,
#maincontent #cse #gsc-iw-id1 {
    padding: 0 !important;
    background-color: transparent !important;
    border: none !important;
}


/* Champ texte */
#maincontent #gsc-i-id1 {
    display: inline-block;
    padding: 0.625em 0.833em !important;
    margin-bottom: 1em;
    font-size: 1.313rem;
    line-height: 20px !important;
    color: #4a4a4a !important;
    border: 1px solid #d3d3d3 !important;
    border-radius: 3px;
    width: 100%;
    height: 100% !important;
    box-shadow: none;
    background-position: 16px center !important;
}

#maincontent #gsc-i-id1:focus {
    background: none !important;
}

/* Bouton "effacer tout" (x) */
.gsib_b {
    position: relative;
}

.gsst_b {
    position: absolute !important;
    right: 16px;
    top: 13px;
}

#maincontent .gsst_a .gscb_a {
    color: #3a3a3a;
}

#maincontent button.gsc-search-button {
    color: #ffffff;
    background: #018849;
    border-radius: 4px;
    border: 0 none;
    font-size: 28px;
    padding: 10px 10px;
    min-width: 40px;
    height: 36px;
    position: relative;
    transition: all 0.25s ease-out;
    margin-left: 1rem;
}

#maincontent button.gsc-search-button:before {
    font-size: 28px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    content: '\e83b';
    font-family: "udes-icons";
    font-style: normal;
    font-weight: normal;
    speak: none;
    display: inline-block;
    text-decoration: inherit;
    width: 1em;
    text-align: center;
    font-variant: normal;
    text-transform: none;
    line-height: 1em;
    text-shadow: 2px 1px 1px rgba(127, 127, 127, 0.3);
}

button.gsc-search-button svg {
    display: none;
}


/* Nombre de résultats et temps */
.gsc-above-wrapper-area tr {
    border: none !important;
    background-color: transparent !important;
}


.gsc-control-cse {
    padding: 0 !important;
}

#maincontent .gs-webResult.gs-result a.gs-title:link {
    color: #018849 !important;
    font-size: 1.313rem;
}

#maincontent .gs-webResult.gs-result a.gs-title:link b {
    color: #018849 !important;
    font-size: 1.313rem;
}

#maincontent .gs-webResult.gs-result a.gs-title:visited {
    color: #018849 !important
}

#maincontent .gs-webResult.gs-result a.gs-title:visited b {
    color: #018849 !important
}

#maincontent .gs-webResult.gs-result a.gs-title:hover {
    color: #018849 !important;
    text-decoration: transparent !important;
}

#maincontent .gs-webResult.gs-result a.gs-title:hover b {
    color: #018849 !important
}

#maincontent .gcsc-branding {
    margin-bottom: 3em
}

.gsc-webResult.gsc-result,
.gsc-results .gsc-imageResult {
    border-top: 1px solid #edefe9 !important;
    padding: 0.75em 0 !important;
}

.gsc-table-result,
.gsc-thumbnail-inside,
.gsc-url-top {
    padding: 0 !important
}

.gsc-control-cse .gs-spelling,
.gsc-control-cse .gs-result .gs-title,
.gsc-control-cse .gs-result .gs-title * {
    font-family: museo;
    margin: 0;
    font-size: 1.313rem !important;
    margin-bottom: 0.25em;
    color: #018849 !important
}

.gsc-cursor-box {
    border-top: 1px solid #d3d3d3 !important
}

.gsc-cursor-box .gsc-cursor {
    margin: 2.4em 0 1.6em 0;
    display: block !important;
    text-align: center
}

.gsc-cursor-box .gsc-cursor .gsc-cursor-page {
    display: inline-block !important;
    border: 1px solid #d3d3d3;
    border-right: none;
    width: 2.25em;
    height: 2.25em;
    line-height: 2.25em;
    text-align: center;
    margin: 0;
    color: #018849 !important;
    margin-right: 0 !important;
    text-decoration: none !important;
}

.gsc-cursor-box .gsc-cursor .gsc-cursor-page:last-child {
    border-right: 1px solid #d3d3d3
}

.gsc-cursor-box .gsc-cursor .gsc-cursor-page:hover {
    color: #018849 !important;
    text-decoration: none !important;
}

@media screen and (max-width: 600px) {
    .gsc-cursor-box .gsc-cursor .gsc-cursor-page {
        margin: 0.3em !important;
        border: 1px solid #d3d3d3 !important
    }
}

.gsc-cursor-box .gsc-cursor .gsc-cursor-page.gsc-cursor-current-page {
    border-color: #d3d3d3;
    background-color: #018849;
    color: #fff !important
}

.gsc-cursor-box .gsc-cursor .gsc-cursor-page a {
    display: block;
    height: 100%
}

.gsc-cursor-box .gsc-cursor .gsc-cursor-page a.clicked {
    padding: 0
}

.gsc-results .gsc-cursor-box {
    margin: 0 !important;
    font-weight: normal;
}

.gsc-results .gsc-cursor-box .gsc-cursor-page {
    border-color: #d3d3d3 !important
}

.gsc-tabHeader.gsc-tabhInactive {
    border-color: #e4e4e4;
    background-color: #e4e4e4
}

.gsc-tabHeader.gsc-tabhActive {
    border-top-color: #d3d3d3;
    border-left-color: #e4e4e4;
    border-right-color: #e4e4e4;
    background-color: #fff
}

.gsc-tabsArea {
    border-color: #e4e4e4
}

.gs-result .gs-title {
    height: auto !important
}

.gs-result .gs-title,
.gs-result .gs-title * {
    overflow: auto !important;
    text-decoration: underline !important;
}

.gs-webResult.gs-result a.gs-title:hover,
.gs-webResult.gs-result a.gs-title:hover b {
    color: #018849;
    text-decoration: none !important;
}

a.gsc-trailing-more-results:link {
    color: #018849
}

.gs-webResult .gs-snippet {
    color: #1d1d1d !important;
    font-size: 14px;
}

.gs-webResult div.gs-visibleUrl {
    color: #596b60 !important
}

.gs-webResult div.gs-visibleUrl-short {
    display: none
}

.gs-webResult div.gs-visibleUrl-long {
    display: block !important
}

.gs-promotion {
    border-color: #999999;
    background-color: #fff
}

.gs-promotion a.gs-title:link,
.gs-promotion a.gs-title:link *,
.gs-promotion .gs-snippet a:link {
    color: #018849
}

.gs-promotion a.gs-title:visited,
.gs-promotion a.gs-title:visited *,
.gs-promotion .gs-snippet a:visited {
    color: #018849
}

.gs-promotion a.gs-title:hover,
.gs-promotion a.gs-title:hover *,
.gs-promotion .gs-snippet a:hover {
    color: #659265;
    text-decoration: none !important;
}

.gs-promotion a.gs-title:active,
.gs-promotion a.gs-title:active *,
.gs-promotion .gs-snippet a:active {
    color: #018849
}

.gs-promotion .gs-snippet,
.gs-promotion .gs-title .gs-promotion-title-right,
.gs-promotion .gs-title .gs-promotion-title-right * {
    color: #018849
}

.gs-promotion .gs-visibleUrl,
.gs-promotion .gs-visibleUrl-short {
    color: #018849
}

.gs-spelling a {
    color: #018849
}